Tryton - Issues

 

Issue8820

Title Add supervisor to employee
Priority feature Status testing
Superseder Nosy List ced, dave, pokoli, reviewbot, yangoon
Type feature request Components company
Assigned To ced Keywords review
Reviews 266331002
View: 266331002

Created on 2019-11-14.17:45:05 by ced, last changed by reviewbot.

Messages
review266331002 updated at https://codereview.tryton.org/266331002/#ps252751002
msg53223 (view) Author: [hidden] (yangoon) (Tryton translator) Date: 2019-11-15.17:13:20
> On 2019-11-15 13:59, Mathias Behrle wrote:
>> There are alternatives like monitoring, checking, scrutiny, surveillance etc.
>
> All those terms sounds for me worst and inaccurate. They contain a
> notion of permanent watching which is not the purpose of the scheme.

AFAIU the original notion of this issue is giving access permissions to distinct users for distinct records of other users. This must be in no way bound to a structure of subordinate (besides that the word itself sounds really awful). There could be very well another employee (or even someone outside the company) with the task of controlling e.g. timesheets. This job is most alike to controller, auditor, checker, examinant.

Company/Party structure is basically the purpose of module party_relationship. Placing fixed company structure into a separate module may lead to redundant records and seems to be improper modelling.
msg53215 (view) Author: [hidden] (dave) Date: 2019-11-15.14:57:19
On 2019-11-15.14:02:28 Sergi wrote:
> Does it make sense to use "Supervised Employees" or is as bad as "Subordinates"?

It is not as bad as subordinates, because it doesn't have the idea of "less than" that subordinate does.  So I think it is a good suggestion.
review266331002 updated at https://codereview.tryton.org/266331002/#ps270561002
msg53211 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-15.14:09:06
On 2019-11-15 13:46, David Harper wrote:
> * Use "reports to" for supervisor, and "direct reports" for subordinates, although I personally don't think this is as clear as supervisor and subordinates.

Using verbs for field always seems wrong.
And I agree that supervisor/subordinates are clearer.

> * Use "Supervises" as the label for the subordinates field, which would make sense next to a list of employees that the employee supervises.  Although I'm not sure whether this would be a great name for the field?

I agree also that verb will be wrong for a field name. But I'm not
against using it as label on the view.

On 2019-11-15 13:59, Mathias Behrle wrote:
> There are alternatives like monitoring, checking, scrutiny, surveillance etc.

All those terms sounds for me worst and inaccurate. They contain a
notion of permanent watching which is not the purpose of the scheme.
msg53209 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-11-15.14:02:28
El 15/11/19 a les 13:46, David Harper ha escrit:
> * Use "Supervises" as the label for the subordinates field, which would make sense next to a list of employees that the employee supervises.  Although I'm not sure whether this would be a great name for the field?

Does it make sense to use "Supervised Employees" or is as bad as "Subordinates"?
msg53208 (view) Author: [hidden] (yangoon) (Tryton translator) Date: 2019-11-15.13:59:56
I strongly support the proposal of David Harper to *not* use supervisor/subordinate in this context.
There are alternatives like monitoring, checking, scrutiny, surveillance etc.
msg53207 (view) Author: [hidden] (dave) Date: 2019-11-15.13:46:39
Although technically correct, I don't think subordinates is a term that I would use when referring to the group of people that are supervised by someone, for the reasons given in the link in msg53185.

I agree that the nearly all the alternatives suggested do not work in this context - team, workers, employees, assistants, associates, colleagues.

I can see a couple of possible options.

* Use "reports to" for supervisor, and "direct reports" for subordinates, although I personally don't think this is as clear as supervisor and subordinates.

* Use "Supervises" as the label for the subordinates field, which would make sense next to a list of employees that the employee supervises.  Although I'm not sure whether this would be a great name for the field?
msg53198 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-15.11:55:49
I could not find another word that describe correctly. All friendly alternatives proposed has bias in the meaning and are not general/generic.
review266331002 updated at https://codereview.tryton.org/266331002/#ps270551002
msg53186 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-14.18:24:01
I checked with https://wikidiff.com/supervisor/subordinate as I searched for the antonym of supervisor.
msg53185 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-11-14.18:21:31
I will like to have dave opinions here about the "subordinates" word as it's a word that may have negative conotations [1], so I will prefer to include the wording that may have less negative conotations in native english.


[1] https://www.businesswritingblog.com/business_writing/2009/04/subordinatesa-word-to-avoid-.html
msg53184 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-14.18:13:17
Here is review266331002

I did not add a tree view of the employee because it may not be a tree but a cyclic graph.
msg53183 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-11-14.17:45:05
It is common in company structure that an employee has a supervisor.
It is useful to have the information in Tryton in order to give special access right to the supervisor (e.g. see/edit timesheet of subordinates).

I choose the term supervisor/subordinates because I find that it does not imply a specific structure (like a pyramid, flat or circle etc.).
History
Date User Action Args
2019-12-07 15:35:21reviewbotsetmessages: + msg54358
2019-11-15 17:13:21yangoonsetmessages: + msg53223
2019-11-15 14:57:19davesetmessages: + msg53215
2019-11-15 14:32:03reviewbotsetmessages: + msg53212
2019-11-15 14:09:07cedsetmessages: + msg53211
2019-11-15 14:02:28pokolisetmessages: + msg53209
2019-11-15 13:59:57yangoonsetnosy: + yangoon
messages: + msg53208
2019-11-15 13:46:39davesetmessages: + msg53207
2019-11-15 11:55:50cedsetmessages: + msg53198
2019-11-14 18:27:08reviewbotsetnosy: + reviewbot
messages: + msg53187

Showing 10 items. Show all history (warning: this could be VERY long)